> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents under an app



## OpenAPI

````yaml get /apps/{alias}/agents
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Agents
    description: Manage AI agents
  - name: Apps
    description: Compose and manage apps
  - name: Attachments
    description: Manage the attachments of a record
  - name: Automations
    description: Manage automations
  - name: Comments
    description: Manage the conversation of a record
  - name: Flows
    description: Manage flows
  - name: Groups
    description: Manage groups and group membership
  - name: Domains
    description: Manage organization domains
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Search Tables
    description: Manage search tables (snowflake and linked)
  - name: Skills
    description: Manage agent skills
  - name: Tables
    description: 'Manage tables: schemas, fields, joins, and join mappings'
  - name: Users
    description: Manage users in your organization
  - name: Views
    description: Manage app views
  - name: Watchers
    description: Manage the watchers of a record
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /apps/{alias}/agents:
    get:
      tags:
        - Agents
      summary: List agents under an app
      operationId: listAgents
      parameters:
        - $ref: '#/components/parameters/alias'
        - $ref: '#/components/parameters/first'
        - $ref: '#/components/parameters/after'
        - $ref: '#/components/parameters/last'
        - $ref: '#/components/parameters/before'
        - $ref: '#/components/parameters/filter'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPagedList'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    alias:
      name: alias
      in: path
      description: The app's namespace or its UUID
      required: true
      schema:
        type: string
        format: string
    first:
      name: first
      in: query
      description: The number of elements to retrieve after the 'after' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
        default: 100
    after:
      name: after
      in: query
      description: >-
        The starting cursor to begin searching, defaults to the beginning of the
        list
      required: false
      schema:
        type: string
    last:
      name: last
      in: query
      description: The number of elements to retrieve before the 'before' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
    before:
      name: before
      in: query
      description: The starting cursor to begin searching, defaults to the end of the list
      required: false
      schema:
        type: string
    filter:
      name: filter
      in: query
      description: An RSQL filter string.
      required: false
      schema:
        type: string
        format: string
      examples:
        GreaterThan:
          summary: GreaterThan
          description: Greater than exclusive
          value: Created At=gt=2022-03-15T07:58:30.000Z
        In:
          summary: In
          description: In the provided list
          value: Number=in=1:2:3:4:5
        Between:
          summary: Between
          description: Between two values
          value: Number=bt=1:10
        Equals:
          summary: Equals
          description: Equals
          value: Status==Open
        LikeIgnoreCase:
          summary: LikeIgnoreCase
          description: Contains value, case insensitive
          value: Title=lki=Incidents
        And:
          summary: And
          description: The and ';' operator
          value: Created At!=null;Created At=ge=2021-01-01T07:58:30.000Z
        NotLike:
          summary: NotLike
          description: Doesn't contains value
          value: Title!lk=Incidents
        '-- select --':
          value: ''
        Or:
          summary: Or
          description: The or ',' operator
          value: Created At!=null,Created At=ge=2021-01-01T07:58:30.00Z
        NotLikeIgnoreCase:
          summary: NotLikeIgnoreCase
          description: Doesn't contains value, case insensitive
          value: Title!lki=Incidents
        GreaterOrEqualTo:
          summary: GreaterOrEqualTo
          description: Greater than inclusive
          value: Created At=ge=2021-01-01T07:58:30.000Z
        NotBetween:
          summary: NotBetween
          description: Not Between two values
          value: Number!bt=1:10
        NotIn:
          summary: NotIn
          description: Not in the provided list
          value: Number!in=1:2:3:4:5
        LessThan:
          summary: LessThan
          description: Less than exclusive
          value: Created At=lt=2022-03-15T07:58:30.000Z
        Like:
          summary: Like
          description: Contains value
          value: Title=lk=Incidents
        LessOrEqualTo:
          summary: LessOrEqualTo
          description: Less than inclusive
          value: Created At=le=2021-01-01T07:58:30.000Z
        NotEquals:
          summary: NotEquals
          description: Not Equals
          value: Created At!=null
  schemas:
    AgentPagedList:
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/PagingState'
        total:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: '#/components/schemas/Agent'
    PagingState:
      type: object
      properties:
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
        start_cursor:
          type: string
        end_cursor:
          type: string
    Agent:
      type: object
      properties:
        temperature:
          type: number
          description: Model sampling temperature; typical range 0.0–2.0
        type:
          type: string
          description: >-
            The agent variant (AgentElementum, AgentSystem, AgentBrowserUse,
            AgentSnowflake, AgentBedrock, AgentExternal)
        id:
          type: string
          description: The agent ID
          format: uuid
        maxLength:
          type: integer
          description: Maximum tokens the model may return per turn
          format: int32
        reasoningEffort:
          type: string
          description: How much hidden reasoning the model is allowed before answering
          enum:
            - MINIMAL
            - LOW
            - MEDIUM
            - HIGH
        description:
          type: string
          description: Short summary shown to users picking an agent
        name:
          type: string
          description: The agent's display name
      description: An agent returned by the agents list endpoint (summary projection).
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.